import watermark from 'watermark-dom';

export const setWatermark = ((options = {}) => {
  const settings = {
    // 水印内容
    watermark_txt: 'TDH WEB UI',
    // 水印起始位置x轴坐标
    watermark_x: 10,
    // 水印起始位置Y轴坐标
    watermark_y: 10,
    // 水印行数
    watermark_rows: 0,
    // 水印列数
    watermark_cols: 0,
    // 水印x轴间隔
    watermark_x_space: 10,
    // 水印y轴间隔
    watermark_y_space: 10,
    // 水印字体颜色
    watermark_color: '#C9D3DC',
    // 水印透明度
    watermark_alpha: 0.3,
    // 水印字体大小
    watermark_fontsize: '32px',
    // 水印字体
    watermark_font: '微软雅黑',
    // 水印宽度
    watermark_width: 200,
    // 水印长度
    watermark_height: 140,
    // 水印倾斜度数
    watermark_angle: 32
  };
  Object.keys(options).forEach((key) => {
    settings['watermark_' + key] = options[key];
  });
  watermark.init(settings);
});

export const removeWatermark = (() => {
  try {
    watermark.remove();
  } catch (error) { }
});
